ProyectoCrm/src/app/Modales/moneda/fw-modal-monedas/fw-modal-monedas.component.html

<div class="modal-header">
  <h4 class="modal-title">{{ tTituloModal }}</h4>
  <button class="close" type="button" aria-label="Close" (click)="activeModal.dismiss({'Resultado' : 'N', 'Moneda' : ''})"><span aria-hidden="true">&times;</span></button>
</div>
<div class="modal-body">
  <div class="container-fluid">
    <div class="form-row">
      <div class="form-group col-4">
        <select class="custom-select custom-select-sm" [(ngModel)]="tFiltroActual">
          <option *ngFor="let tFiltro of tFiltros" [ngValue]="tFiltro">{{tFiltro.Filtro}}</option>
        </select>
      </div>
      <div class="form-group col-8">
        <input class="form-control form-control-sm" type="text" placeholder="Ingrese busqueda" [(ngModel)]="tFiltroBusqueda"/>
      </div>
    </div>
    <div class="form-row">
      <div class="form-group col-12">
        <div class="table-responsive" style="overflow:scroll">
          <table class="table table-sm table-striped table-hover">
            <thead>
              <tr>
                <th></th>
                <th>
                  <h6 class="font-weight-bold">Moneda</h6>
                </th>
                <th>
                  <h6 class="font-weight-bold">Descripcion</h6>
                </th>
              </tr>
            </thead>
            <tbody>
              <tr *ngFor="let tMoneda of tMonedas | buscar : {'campoFiltro' : tFiltroActual, 'busquedaFiltro' : tFiltroBusqueda} | slice: (tPagina-1) * tTamanoPag : (tPagina-1) * tTamanoPag + tTamanoPag; let jv = index">
                <th>
                  <button class="btn btn-sm btn-link" type="button" (click)="activeModal.close({'Resultado' : 'S', 'Moneda' : tMoneda})">
                    <div class="fas fa-mouse-pointer"></div>
                  </button>
                </th>
                <td>
                  <h6>{{ tMoneda.Codmoneda }}</h6>
                </td>
                <td>
                  <h6 class="text-nowrap">{{ tMoneda.Descripcion }}</h6>
                </td>
              </tr>
            </tbody>
          </table>
        </div>
      </div>
    </div>
    <div class="form-row">
      <div class="form-group col-12">
        <ngb-pagination class="d-flex justify-content-center" aria-label="Default pagination" [collectionSize]="tMonedas.length" [(page)]="tPagina" [pageSize]="tTamanoPag"></ngb-pagination>
      </div>
    </div>
  </div>
</div>
<div class="modal-footer">
  <button class="btn btn-secondary" type="button" (click)="activeModal.close({'Resultado' : 'N', 'Moneda' : ''})">Cerrar</button>
</div>

ProyectoCrm/src/app/Modales/moneda/fw-modal-monedas/fw-modal-monedas.component.pug
extend ../../../ComponentesPug/ModalBusqueda/Plantilla.pug

block variables
    - var TituloModal = "{{ tTituloModal }}"
    - var NombreVariable = "Moneda"
    - var ListadoCabecera = ["Moneda", "Descripcion"]
    - var TamanoColeccion = "tMonedas.length"
    - var PaginaActual = "tPagina"
    - var TamanoPagina = "tTamanoPag"

block ListadoContenido
    tr(*ngFor="let tMoneda of tMonedas | buscar : {'campoFiltro' : tFiltroActual, 'busquedaFiltro' : tFiltroBusqueda} | slice: (tPagina-1) * tTamanoPag : (tPagina-1) * tTamanoPag + tTamanoPag; let jv = index")
        th
            button(type="button", (click)="activeModal.close({'Resultado' : 'S', '" + NombreVariable + "' : tMoneda})").btn.btn-sm.btn-link
                .fas.fa-mouse-pointer
        td
            h6 {{ tMoneda.Codmoneda }}
        td
            h6.text-nowrap {{ tMoneda.Descripcion }}
